Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class MemoryManagementConfig

    java.lang.Object
      com.bea.dsp.management.beans.MemoryManagementConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class MemoryManagementConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

See Also:
  Serialized Form

Constructor Summary
`MemoryManagementConfig()`

Method Summary
`int` | `getMaximumItemsPerOperator()`
`int` | `getMaximumOperators()`
`boolean` | `isEnabled()`
`void` | `setEnabled(boolean enabled)`
`void` | `setMaximumItemsPerOperator(int maximumItemsPerOperator)`
`void` | `setMaximumOperators(int maximumOperators)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemoryManagementConfig

    public MemoryManagementConfig()

Method Detail

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getMaximumOperators

    public int getMaximumOperators()

### setMaximumOperators

    public void setMaximumOperators(int maximumOperators)
                             throws ValidationException

  Throws:
    `ValidationException`

### getMaximumItemsPerOperator

    public int getMaximumItemsPerOperator()

### setMaximumItemsPerOperator

    public void setMaximumItemsPerOperator(int maximumItemsPerOperator)
                                    throws ValidationException

  Throws:
    `ValidationException`

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.